# std::mask_array< _Tp > Class Template Reference
[Numeric Arrays]

Reference to selected subset of an array. More...

List of all members.

## Public Types

- typedef _Tp value_type

## Public Member Functions

- mask_array (const mask_array &)
- template<class _Dom > void operator%= (const _Expr< _Dom, _Tp > &) const
- void operator%= (const valarray< _Tp > &) const
- template<class _Dom > void operator&= (const _Expr< _Dom, _Tp > &) const
- void operator&= (const valarray< _Tp > &) const
- template<class _Dom > void operator*= (const _Expr< _Dom, _Tp > &) const
- void operator*= (const valarray< _Tp > &) const
- template<class _Dom > void operator+= (const _Expr< _Dom, _Tp > &) const
- void operator+= (const valarray< _Tp > &) const
- template<class _Dom > void operator-= (const _Expr< _Dom, _Tp > &) const
- void operator-= (const valarray< _Tp > &) const
- template<class _Dom > void operator/= (const _Expr< _Dom, _Tp > &) const
- void operator/= (const valarray< _Tp > &) const
- template<class _Dom > void operator<<= (const _Expr< _Dom, _Tp > &) const
- void operator<<= (const valarray< _Tp > &) const
- template<class _Ex > void operator= (const _Expr< _Ex, _Tp > &__e) const
- template<class _Dom > void operator= (const _Expr< _Dom, _Tp > &) const
- void operator= (const _Tp &) const
- void operator= (const valarray< _Tp > &) const
- mask_array & operator= (const mask_array &)
- template<class _Dom > void operator>>= (const _Expr< _Dom, _Tp > &) const
- void operator>>= (const valarray< _Tp > &) const
- template<class _Dom > void operator^= (const _Expr< _Dom, _Tp > &) const
- void operator^= (const valarray< _Tp > &) const
- template<class _Dom > void operator|= (const _Expr< _Dom, _Tp > &) const
- void operator|= (const valarray< _Tp > &) const

## Friends

- class valarray< _Tp >

## Detailed Description

### template<class _Tp>
class std::mask_array< _Tp >

Reference to selected subset of an array.

A mask_array is a reference to the actual elements of an array specified by a bitmask in the form of an array of bool. The way to get a mask_array is to call operator[](valarray<bool>) on a valarray. The returned mask_array then permits carrying operations out on the referenced subset of elements in the original valarray.

For example, if a mask_array is obtained using the array (false, true, false, true) as an argument, the mask array has two elements referring to array[1] and array[3] in the underlying array.

Parameters:

  | Tp | Element type.

Definition at line 61 of file mask_array.h.

The documentation for this class was generated from the following file:

- mask_array.h